Index: bf_sc/source/filter/xml/sc_xmlexprt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/filter/xml/sc_xmlexprt.cxx,v
retrieving revision 1.14
diff -u -r1.14 sc_xmlexprt.cxx
--- bf_sc/source/filter/xml/sc_xmlexprt.cxx	10 Apr 2008 08:55:19 -0000	1.14
+++ bf_sc/source/filter/xml/sc_xmlexprt.cxx	8 Jun 2008 21:03:59 -0000
@@ -2198,6 +2198,8 @@
 			}
 		}
 		break;
+       default:
+               break;
 	}
     ::rtl::OUString* pCellString = &sElemCell;
 	if (aCell.bIsCovered)
Index: bf_sc/source/filter/xml/sc_xmlstyle.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/filter/xml/sc_xmlstyle.cxx,v
retrieving revision 1.9
diff -u -r1.9 sc_xmlstyle.cxx
--- bf_sc/source/filter/xml/sc_xmlstyle.cxx	10 Apr 2008 08:58:02 -0000	1.9
+++ bf_sc/source/filter/xml/sc_xmlstyle.cxx	8 Jun 2008 21:04:03 -0000
@@ -573,6 +573,9 @@
 														case sheet::ConditionOperator_NOT_EQUAL:
 															sCondition += ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("!="));
 														break;
+
+                                                                                                               default:
+                                                                                                               break;
 													}
 													sCondition += xSheetCondition->getFormula1();
 												}
@@ -1037,6 +1040,9 @@
 				bRetval = sal_True;
 			}
 			break;
+
+                       default:
+                       break;
 		}
 	}
 
@@ -1312,6 +1318,9 @@
 				bRetval = sal_True;
 			}
 			break;
+
+                       default:
+                       break;
 		}
 	}
 
@@ -1405,6 +1414,9 @@
 				bRetval = sal_True;
 			}
 			break;
+
+                       default:
+                       break;
 		}
 	}
 
Index: bf_sc/source/filter/xml/sc_XMLStylesExportHelper.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/filter/xml/sc_XMLStylesExportHelper.cxx,v
retrieving revision 1.9
diff -u -r1.9 sc_XMLStylesExportHelper.cxx
--- bf_sc/source/filter/xml/sc_XMLStylesExportHelper.cxx	10 Apr 2008 08:50:09 -0000	1.9
+++ bf_sc/source/filter/xml/sc_XMLStylesExportHelper.cxx	8 Jun 2008 21:04:06 -0000
@@ -248,6 +248,9 @@
 			case sheet::ValidationType_WHOLE :
 				sCondition += ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("cell-content-is-whole-number()"));
 			break;
+
+                       default:
+                       break;
 		}
 		if (aValidation.sFormula1.getLength() ||
 			(aValidation.aOperator == sheet::ConditionOperator_BETWEEN &&
@@ -281,6 +284,9 @@
 					case sheet::ConditionOperator_NOT_EQUAL :
 						sCondition += ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("!="));
 					break;
+
+                                       default:
+                                       break;
 				}
 				sCondition += aValidation.sFormula1;
 			}
@@ -432,6 +438,9 @@
 						}
 					}
 					break;
+
+                                       default:
+                                       break;
 				}
 			}
 			aItr++;
Index: bf_sc/source/filter/xml/sc_XMLExportDatabaseRanges.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/filter/xml/sc_XMLExportDatabaseRanges.cxx,v
retrieving revision 1.10
diff -u -r1.10 sc_XMLExportDatabaseRanges.cxx
--- bf_sc/source/filter/xml/sc_XMLExportDatabaseRanges.cxx	10 Apr 2008 08:49:24 -0000	1.10
+++ bf_sc/source/filter/xml/sc_XMLExportDatabaseRanges.cxx	8 Jun 2008 21:04:09 -0000
@@ -243,6 +243,9 @@
 			rExport.CheckAttrList();
 		}
 		break;
+
+               default:
+               break;
 	}
 }
 
@@ -296,6 +299,8 @@
 		case sheet::FilterOperator_TOP_VALUES :
 			return GetXMLToken(XML_TOP_VALUES);
 			break;
+               default:
+                       break;
 	}
 	return ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("="));
 }
@@ -587,6 +592,9 @@
 					case table::TableSortFieldType_NUMERIC :
 						rExport.AddAttribute(XML_NAMESPACE_TABLE, XML_DATA_TYPE, XML_NUMBER);
 					break;
+
+                                       default:
+                                       break;
 				}
 			}
 			else
Index: bf_sc/source/filter/xml/sc_XMLChangeTrackingExportHelper.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/filter/xml/sc_XMLChangeTrackingExportHelper.cxx,v
retrieving revision 1.9
diff -u -r1.9 sc_XMLChangeTrackingExportHelper.cxx
--- bf_sc/source/filter/xml/sc_XMLChangeTrackingExportHelper.cxx	10 Apr 2008 08:46:38 -0000	1.9
+++ bf_sc/source/filter/xml/sc_XMLChangeTrackingExportHelper.cxx	8 Jun 2008 21:04:11 -0000
@@ -458,6 +458,8 @@
 			case CELLTYPE_FORMULA:
 				WriteFormulaCell(pCell, sValue);
 				break;
+                       default:
+                               break;
 		}
 	}
 	else
Index: bf_sc/source/filter/xml/sc_XMLChangeTrackingImportHelper.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/filter/xml/sc_XMLChangeTrackingImportHelper.cxx,v
retrieving revision 1.8
diff -u -r1.8 sc_XMLChangeTrackingImportHelper.cxx
--- bf_sc/source/filter/xml/sc_XMLChangeTrackingImportHelper.cxx	10 Apr 2008 08:46:54 -0000	1.8
+++ bf_sc/source/filter/xml/sc_XMLChangeTrackingImportHelper.cxx	8 Jun 2008 21:04:14 -0000
@@ -260,6 +260,9 @@
 			pCurrentAction = new ScMyRejAction();
 		}
 		break;
+
+               default:
+               break;
 	}
 }
 
@@ -330,6 +333,9 @@
 										nInt32Max, nInt32Max, nPosition + nCount - 1);
 		}
 		break;
+
+               default:
+               break;
 	}
 }
 
@@ -819,6 +825,9 @@
 					pAction = CreateRejectionAction(static_cast<ScMyRejAction*>(*aItr));
 				}
 				break;
+
+                               default:
+                               break;
 			}
 
 			if (pAction)
